バージョン選択

フォーラム

メニュー

オンライン状況

42 人のユーザが現在オンラインです。 (36 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 42
もっと...

サイト内検索

質問 > その他 > composer update 実行時のエラーについて

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
churchill
投稿日時: 2023/4/22 17:42
対応状況: −−−
新米
登録日: 2023/2/27
居住地:
投稿: 10
composer update 実行時のエラーについて
[EC-CUBE] 4.21
[サーバ] mamp 6.8 on Mac OS 12.6.2
[PHP] 7.4.33

プラグイン開発のためとあるパッケージをインストールする必要があったため、composer self-update を実行

/usr/local/bin/composer --version
Composer version 2.5.5 2023-03-21 11:50:05

その後、まだ目的のパッケージは追加していない段階で composer update を実行したところ、

(略)
152 packages you are using are looking for funding.
Use the `composer fund` command to find out more!

Run composer recipes at any time to see the status of your Symfony recipes.

Executing script cache:clear --no-warmup [KO]
[KO]
Script cache:clear --no-warmup returned with error code 1
!!
!! In Kernel.php line 389:
!!
!! Trying to register two bundles with the same name "LeagueOAuth2ServerBundle
!! ".
!!
!!
!!
Script @auto-scripts was called via post-update-cmd

となってしまい、エラーで止まってしまいます。
上記エラーにつきまして、どのように対応したら良いのかご存じの方はお知らせいただけますでしょうか?

よろしくお願いいたします。
H1R0
投稿日時: 2023/4/24 23:07
対応状況: −−−
半人前
登録日: 2020/9/15
居住地:
投稿: 13
Re: composer update 実行時のエラーについて
一度vendorディレクトリを削除してからcomposer updateを実行してみてください。
それで直らなければ使用しているパッケージに問題がありそうなので、composer.jsonのrequireおよびrequire-devの内容の共有をお願いします。
churchill
投稿日時: 2023/4/25 7:41
対応状況: −−−
新米
登録日: 2023/2/27
居住地:
投稿: 10
Re: composer update 実行時のエラーについて
ご返信ありがとうございます。

composer.json につきましては、ec-cube4.21 のパッケージのもので、configで使用するphpのバージョンを7.4.33に変更しているのみとなっております。

"config": {
"platform": {
"php": "7.4.33"
},
"preferred-install": {
"*": "dist"
},

vendor ディレクトリを一旦削除して

> composer install

を実行したところ、下記のエラーとなりました。

You can not install the EC-CUBE plugin via `composer` command.
Please use the `bin/console eccube:composer:require ec-cube/api42` instead.

そこで、

> bin/console eccube:composer:require ec-cube/api42

を実行したのですが、bin/console が動作しなくなっております。bin/console list としても何も表示されません。bin/console が vendor ディレクトリ内のパッケージに依存していて、vendor ディレクトリが composer install がエラーで終了したため不完全であるためでしょうか。

以上のような状態です。
引き続き情報をお待ちしております。よろしくお願いいたします。

H1R0
投稿日時: 2023/4/25 8:30
対応状況: −−−
半人前
登録日: 2020/9/15
居住地:
投稿: 13
Re: composer update 実行時のエラーについて
> You can not install the EC-CUBE plugin via `composer` command.
> Please use the `bin/console eccube:composer:require ec-cube/api42` instead.

EC-CUBEのWEB APIプラグインを使用されているようですので、composer.json及びcomposer.lockからec-cube/api42の記述を一度削除してください。
また、他にもプラグインを利用しているようであればec-cube/plugin-installer以外の`ec-cube`から始まる記載を同様に削除して、composer installを実行してみてください。
churchill
投稿日時: 2023/4/25 11:18
対応状況: −−−
新米
登録日: 2023/2/27
居住地:
投稿: 10
Re: composer update 実行時のエラーについて
composer.json 及び composer.lock より ec-cube のプラグインの項目を削除して composer install を実行したところ、次のエラーとなりました。

Executing script cache:clear --no-warmup [KO]
[KO]
Script cache:clear --no-warmup returned with error code 255
!!
Script @auto-scripts was called via post-install-cmd

composer install は成功しているものの、その後のスクリプト実行にてエラーになっている模様です。またこの状態になったあとは./bin/console が無反応になります。./bin/console list をしても何も表示されません(前回と同じ)

引き続き情報をお待ちしております。
H1R0
投稿日時: 2023/4/25 12:49
対応状況: −−−
半人前
登録日: 2020/9/15
居住地:
投稿: 13
Re: composer update 実行時のエラーについて
composer install実行時の出力は他にないでしょうか?
churchill
投稿日時: 2023/4/25 13:08
対応状況: −−−
新米
登録日: 2023/2/27
居住地:
投稿: 10
Re: composer update 実行時のエラーについて
以下ec-cube関連のものをcomposer.jsonから取り除いてcomposer installした時の全ログです。

====

Installing dependencies from lock file (including require-dev)
Verifying lock file contents can be installed on current platform.
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. It is recommended that you run `composer update` or `composer update <package name>`.
Package operations: 204 installs, 0 updates, 0 removals
- Installing symfony/flex (v1.19.4): Extracting archive
- Installing behat/gherkin (v4.9.0): Extracting archive
- Installing symfony/polyfill-mbstring (v1.27.0): Extracting archive
- Installing symfony/polyfill-iconv (v1.27.0): Extracting archive
- Installing zbateson/mb-wrapper (1.1.2): Extracting archive
- Installing ralouphie/getallheaders (3.0.3): Extracting archive
- Installing psr/http-message (1.0.1): Extracting archive
- Installing psr/http-factory (1.0.1): Extracting archive
- Installing guzzlehttp/psr7 (2.4.3): Extracting archive
- Installing zbateson/stream-decorators (1.0.7): Extracting archive
- Installing zbateson/mail-mime-parser (1.3.3): Extracting archive
- Installing symfony/deprecation-contracts (v2.5.2): Extracting archive
- Installing psr/http-client (1.0.1): Extracting archive
- Installing guzzlehttp/promises (1.5.2): Extracting archive
- Installing guzzlehttp/guzzle (7.5.0): Extracting archive
- Installing symfony/polyfill-ctype (v1.27.0): Extracting archive
- Installing symfony/yaml (v5.4.17): Extracting archive
- Installing symfony/polyfill-php80 (v1.27.0): Extracting archive
- Installing symfony/finder (v5.4.17): Extracting archive
- Installing psr/event-dispatcher (1.0.0): Extracting archive
- Installing symfony/event-dispatcher-contracts (v2.5.2): Extracting archive
- Installing symfony/event-dispatcher (v5.4.19): Extracting archive
- Installing symfony/css-selector (v5.4.17): Extracting archive
- Installing symfony/polyfill-intl-normalizer (v1.27.0): Extracting archive
- Installing symfony/polyfill-intl-grapheme (v1.27.0): Extracting archive
- Installing symfony/string (v5.4.19): Extracting archive
- Installing psr/container (1.1.2): Extracting archive
- Installing symfony/service-contracts (v2.5.2): Extracting archive
- Installing symfony/polyfill-php73 (v1.27.0): Extracting archive
- Installing symfony/console (v5.4.17): Extracting archive
- Installing sebastian/version (3.0.2): Extracting archive
- Installing sebastian/type (3.2.0): Extracting archive
- Installing sebastian/resource-operations (3.0.3): Extracting archive
- Installing sebastian/recursion-context (4.0.4): Extracting archive
- Installing sebastian/object-reflector (2.0.4): Extracting archive
- Installing sebastian/object-enumerator (4.0.4): Extracting archive
- Installing sebastian/global-state (5.0.5): Extracting archive
- Installing sebastian/exporter (4.0.5): Extracting archive
- Installing sebastian/environment (5.1.4): Extracting archive
- Installing sebastian/diff (4.0.4): Extracting archive
- Installing sebastian/comparator (4.0.8): Extracting archive
- Installing sebastian/code-unit (1.0.8): Extracting archive
- Installing sebastian/cli-parser (1.0.1): Extracting archive
- Installing phpunit/php-timer (5.0.3): Extracting archive
- Installing phpunit/php-text-template (2.0.4): Extracting archive
- Installing phpunit/php-invoker (3.1.1): Extracting archive
- Installing phpunit/php-file-iterator (3.0.6): Extracting archive
- Installing theseer/tokenizer (1.2.1): Extracting archive
- Installing nikic/php-parser (v4.15.2): Extracting archive
- Installing sebastian/lines-of-code (1.0.3): Extracting archive
- Installing sebastian/complexity (2.0.2): Extracting archive
- Installing sebastian/code-unit-reverse-lookup (2.0.3): Extracting archive
- Installing phpunit/php-code-coverage (9.2.23): Extracting archive
- Installing phar-io/version (3.2.1): Extracting archive
- Installing phar-io/manifest (2.0.3): Extracting archive
- Installing myclabs/deep-copy (1.11.0): Extracting archive
- Installing doctrine/instantiator (1.5.0): Extracting archive
- Installing phpunit/phpunit (9.5.27): Extracting archive
- Installing codeception/stub (4.0.2): Extracting archive
- Installing codeception/phpunit-wrapper (9.0.9): Extracting archive
- Installing codeception/lib-asserts (1.13.2): Extracting archive
- Installing codeception/codeception (4.2.2): Extracting archive
- Installing captbaritone/mailcatcher-codeception-module (2.4.1): Extracting archive
- Installing codeception/module-asserts (1.3.1): Extracting archive
- Installing symfony/dom-crawler (v5.4.17): Extracting archive
- Installing symfony/browser-kit (v5.4.11): Extracting archive
- Installing codeception/lib-innerbrowser (1.5.1): Extracting archive
- Installing codeception/module-phpbrowser (1.0.3): Extracting archive
- Installing softcreatr/jsonpath (0.7.5): Extracting archive
- Installing justinrainbow/json-schema (5.2.12): Extracting archive
- Installing codeception/module-rest (1.4.2): Extracting archive
- Installing symfony/process (v5.4.11): Extracting archive
- Installing php-webdriver/webdriver (1.13.1): Extracting archive
- Installing codeception/module-webdriver (1.4.1): Extracting archive
- Installing symfony/polyfill-php81 (v1.27.0): Extracting archive
- Installing symfony/filesystem (v5.4.19): Extracting archive
- Installing seld/signal-handler (2.0.1): Extracting archive
- Installing seld/phar-utils (1.2.1): Extracting archive
- Installing seld/jsonlint (1.9.0): Extracting archive
- Installing react/promise (v2.9.0): Extracting archive
- Installing psr/log (1.1.4): Extracting archive
- Installing composer/pcre (3.1.0): Extracting archive
- Installing composer/xdebug-handler (3.0.3): Extracting archive
- Installing composer/spdx-licenses (1.5.7): Extracting archive
- Installing composer/semver (3.3.2): Extracting archive
- Installing composer/metadata-minifier (1.0.0): Extracting archive
- Installing composer/class-map-generator (1.0.0): Extracting archive
- Installing composer/ca-bundle (1.3.4): Extracting archive
- Installing composer/composer (2.5.1): Extracting archive
- Installing symfony/routing (v5.4.17): Extracting archive
- Installing symfony/http-foundation (v5.4.20): Extracting archive
- Installing symfony/var-dumper (v5.4.19): Extracting archive
- Installing symfony/error-handler (v5.4.19): Extracting archive
- Installing symfony/http-kernel (v5.4.20): Extracting archive
- Installing symfony/dependency-injection (v5.4.20): Extracting archive
- Installing symfony/config (v5.4.19): Extracting archive
- Installing symfony/var-exporter (v5.4.17): Extracting archive
- Installing psr/cache (1.0.1): Extracting archive
- Installing symfony/cache-contracts (v2.5.2): Extracting archive
- Installing symfony/cache (v5.4.18): Extracting archive
- Installing symfony/framework-bundle (v5.4.17): Extracting archive
- Installing doctrine/deprecations (v1.0.0): Extracting archive
- Installing doctrine/event-manager (1.2.0): Extracting archive
- Installing doctrine/collections (1.8.0): Extracting archive
- Installing doctrine/cache (2.2.0): Extracting archive
- Installing doctrine/persistence (2.5.6): Extracting archive
- Installing symfony/doctrine-bridge (v5.4.17): Extracting archive
- Installing doctrine/sql-formatter (1.1.3): Extracting archive
- Installing doctrine/dbal (3.5.2): Extracting archive
- Installing doctrine/doctrine-bundle (2.8.2): Extracting archive
- Installing dama/doctrine-test-bundle (v6.7.5): Extracting archive
- Installing paragonie/random_compat (v9.99.100): Extracting archive
- Installing defuse/php-encryption (v2.3.1): Extracting archive
- Installing doctrine/common (3.4.3): Extracting archive
- Installing symfony/polyfill-php72 (v1.27.0): Extracting archive
- Installing doctrine/lexer (1.2.3): Extracting archive
- Installing doctrine/inflector (2.0.6): Extracting archive
- Installing doctrine/orm (2.14.0): Extracting archive
- Installing doctrine/data-fixtures (1.6.3): Extracting archive
- Installing doctrine/doctrine-fixtures-bundle (3.4.2): Extracting archive
- Installing symfony/stopwatch (v5.4.13): Extracting archive
- Installing laminas/laminas-code (4.7.1): Extracting archive
- Installing friendsofphp/proxy-manager-lts (v1.0.13): Extracting archive
- Installing doctrine/migrations (3.5.2): Extracting archive
- Installing doctrine/doctrine-migrations-bundle (3.2.2): Extracting archive
- Installing monolog/monolog (2.8.0): Extracting archive
- Installing easycorp/easy-log-handler (v1.0.9): Extracting archive
- Installing ezyang/htmlpurifier (v4.16.0): Extracting archive
- Installing exercise/htmlpurifier-bundle (v3.1.0): Extracting archive
- Installing fakerphp/faker (v1.21.0): Extracting archive
- Installing symfony/options-resolver (v5.4.11): Extracting archive
- Installing doctrine/annotations (1.14.2): Extracting archive
- Installing friendsofphp/php-cs-fixer (v3.13.2): Extracting archive
- Installing paragonie/constant_time_encoding (v2.6.3): Extracting archive
- Installing phpseclib/phpseclib (3.0.18): Extracting archive
- Installing firebase/php-jwt (v6.4.0): Extracting archive
- Installing google/auth (v1.25.0): Extracting archive
- Installing google/apiclient-services (v0.289.0): Extracting archive
- Installing google/apiclient (v2.13.0): Extracting archive
- Installing twig/twig (v2.15.4): Extracting archive
- Installing symfony/translation-contracts (v2.5.2): Extracting archive
- Installing symfony/translation (v5.4.14): Extracting archive
- Installing knplabs/knp-components (v3.6.0): Extracting archive
- Installing knplabs/knp-paginator-bundle (v5.9.0): Extracting archive
- Installing lcobucci/clock (2.0.0): Extracting archive
- Installing lcobucci/jwt (4.3.0): Extracting archive
- Installing league/event (2.2.0): Extracting archive
- Installing symfony/password-hasher (v5.4.19): Extracting archive
- Installing symfony/security-core (v5.4.19): Extracting archive
- Installing symfony/property-info (v5.4.19): Extracting archive
- Installing symfony/property-access (v5.4.19): Extracting archive
- Installing symfony/security-http (v5.4.20): Extracting archive
- Installing symfony/security-guard (v5.4.19): Extracting archive
- Installing symfony/security-csrf (v5.4.19): Extracting archive
- Installing symfony/security-bundle (v5.4.20): Extracting archive
- Installing symfony/psr-http-message-bridge (v2.1.4): Extracting archive
- Installing php-http/message-factory (v1.0.2): Extracting archive
- Installing nyholm/psr7 (1.5.1): Extracting archive
- Installing league/uri-interfaces (2.3.0): Extracting archive
- Installing league/uri (6.7.2): Extracting archive
- Installing league/oauth2-server (8.4.0): Extracting archive
- Installing league/oauth2-server-bundle (v0.3.0): Extracting archive
- Installing mikey179/vfsstream (v1.6.11): Extracting archive
- Installing mobiledetect/mobiledetectlib (2.8.41): Extracting archive
- Installing nesbot/carbon (2.65.0): Extracting archive
- Installing phpstan/phpstan (1.9.8): Extracting archive
- Installing psr/simple-cache (1.0.1): Extracting archive
- Installing robthree/twofactorauth (1.8.2): Extracting archive
- Installing sensio/framework-extra-bundle (v6.2.9): Extracting archive
- Installing setasign/fpdi (v2.3.6): Extracting archive
- Installing skorp/detect-incompatible-samesite-useragents (1.0.1): Extracting archive
- Installing symfony/asset (v5.4.13): Extracting archive
- Installing symfony/twig-bridge (v5.4.17): Extracting archive
- Installing symfony/debug-bundle (v5.4.11): Extracting archive
- Installing symfony/dotenv (v5.4.5): Extracting archive
- Installing symfony/expression-language (v5.4.14): Extracting archive
- Installing symfony/polyfill-intl-icu (v1.27.0): Extracting archive
- Installing symfony/form (v5.4.17): Extracting archive
- Installing symfony/inflector (v5.4.11): Extracting archive
- Installing symfony/polyfill-intl-idn (v1.27.0): Extracting archive
- Installing symfony/mime (v5.4.17): Extracting archive
- Installing egulias/email-validator (2.1.25): Extracting archive
- Installing symfony/mailer (v5.4.17): Extracting archive
- Installing symfony/maker-bundle (v1.43.0): Extracting archive
- Installing symfony/monolog-bridge (v5.4.17): Extracting archive
- Installing symfony/monolog-bundle (v3.8.0): Extracting archive
- Installing symfony/phpunit-bridge (v5.4.17): Extracting archive
- Installing symfony/proxy-manager-bridge (v5.4.6): Extracting archive
- Installing symfony/lock (v5.4.15): Extracting archive
- Installing symfony/rate-limiter (v5.4.17): Extracting archive
- Installing symfony/serializer (v5.4.17): Extracting archive
- Installing symfony/templating (v5.4.11): Extracting archive
- Installing symfony/validator (v5.4.17): Extracting archive
- Installing symfony/twig-bundle (v5.4.17): Extracting archive
- Installing symfony/web-profiler-bundle (v5.4.17): Extracting archive
- Installing symfony/workflow (v5.4.17): Extracting archive
- Installing tecnickcom/tcpdf (6.6.2): Extracting archive
- Installing twig/extra-bundle (v3.5.0): Extracting archive
- Installing symfony/intl (v5.4.15): Extracting archive
- Installing twig/intl-extra (v3.5.0): Extracting archive
- Installing phpoption/phpoption (1.9.0): Extracting archive
- Installing graham-campbell/result-type (v1.1.0): Extracting archive
- Installing vlucas/phpdotenv (v5.4.0): Extracting archive
- Installing webonyx/graphql-php (v14.11.9): Extracting archive
Package easycorp/easy-log-handler is abandoned, you should avoid using it. No replacement was suggested.
Package sensio/framework-extra-bundle is abandoned, you should avoid using it. Use Symfony instead.
Package symfony/inflector is abandoned, you should avoid using it. Use EnglishInflector from the String component instead.
Generating optimized autoload files
152 packages you are using are looking for funding.
Use the `composer fund` command to find out more!

Run composer recipes at any time to see the status of your Symfony recipes.

Executing script cache:clear --no-warmup [KO]
[KO]
Script cache:clear --no-warmup returned with error code 255
!!
Script @auto-scripts was called via post-install-cmd
H1R0
投稿日時: 2023/4/25 22:34
対応状況: −−−
半人前
登録日: 2020/9/15
居住地:
投稿: 13
Re: composer update 実行時のエラーについて
私の方でも同じパッケージをインストールしてみましたが、再現出来なかったため、状況確認という形で一旦対応させてください。
明確な解決法が提示できず申し訳ありません。

まず、composer dump-autoloadを実行後にbin/console -v aboutを実行して何か出力されるか確認していただけますか。
bin/consoleがエラー終了していれば何かしら表示されると思います。
churchill
投稿日時: 2023/4/26 11:54
対応状況: −−−
新米
登録日: 2023/2/27
居住地:
投稿: 10
Re: composer update 実行時のエラーについて
./bin/console -v about で出力された結果は下記のようになります。

-------------------- ----------------------------------------
Symfony
-------------------- ----------------------------------------
Version 5.4.20
Long-Term Support Yes
End of maintenance 11/2024 (in +584 days)
End of life 11/2025 (in +949 days)
-------------------- ----------------------------------------
Kernel
-------------------- ----------------------------------------
Type Eccube\Kernel
Environment prod
Debug false
Charset UTF-8
Cache directory ./var/cache/prod (6.3 MiB)
Build directory ./var/cache/prod (6.3 MiB)
Log directory ./var/log (10.7 MiB)
-------------------- ----------------------------------------
PHP
-------------------- ----------------------------------------
Version 7.4.33
Architecture 64 bits
Intl locale en_US_POSIX
Timezone Asia/Tokyo (2023-04-26T11:52:37+09:00)
OPcache false
APCu false
Xdebug false
H1R0
投稿日時: 2023/4/26 12:59
対応状況: −−−
半人前
登録日: 2020/9/15
居住地:
投稿: 13
Re: composer update 実行時のエラーについて
bin/consoleは正常に実行されているようなので、bin/console -v listでコマンドの一覧が表示されるか試してください。
(1) 2 »
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBE公式 Amazon Payプラグイン

統計情報

総メンバー数は90,090名です
総投稿数は110,310件です

投稿数ランキング

1
seasoft
7369
2
468
3217
3
AMUAMU
2712
4
nanasess
2314
5
umebius
2085
6
yuh
1819
7
h_tanaka
1681
8
red
1571
9
mcontact
1350
10
tsuji
958
11
fukap
907
12
shutta
835
13
tao_s
799
14 ramrun 789
15 karin 689
16 sumida 641
17
homan
633
18 DELIGHT 572
19
patapata
502
20
flealog
485


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.